import sys
from core.cli.CliAgent import CLIAgent
from core.MainAgent import MainAgent

def printLogo():
  print("""
                                               ,--,    
                                             ,--.'|    
         .---.   ,---.                       |  | :    
        /. ./|  '   ,'\\ ,--,  ,--,           :  : '    
     .-'-. ' | /   /   ||'. \\/ .`|    ,---.  |  ' |    
    /___/ \\: |.   ; ,. :'  \\/  / ;   /     \\ '  | |    
 .-'.. '   ' .'   | |: : \\  \\.' /   /    /  ||  | :    
/___/ \\:     ''   | .; :  \\  ;  ;  .    ' / |'  : |__  
.   \\  ' .\\   |   :    | / \\  \\  \\ '   ;   /||  | '.'| 
 \\   \\   ' \\ | \\   \\  /./__;   ;  \'   |  / |;  :    ; 
  \\   \\  |--"   `----' |   :/\\  \\ ;|   :    ||  ,   /  
   \\   \\ |             `---'  `--`  \\   \\  /  ---`-'   
    '---"                            `----'            
""")

###### MAIN ########
if __name__ == "__main__":
  configName = "config"
  length = len(sys.argv)
  for i in range(1, length):
    arg = sys.argv[i]
    if (arg == "-c" or arg == "--config"):
      configName = sys.argv[i + 1]
    elif (arg == "-h" or arg == "--help"):
      printLogo()
      print("usage: wowxel [-h] -c CONFIG_FILE_NAME")
      print("wowxel: A pixel bot for World of Warcraft")
      print("optional arguments:")
      print("-h, --help            show this help message and exit")
      print("-c CONFIG_FILE_NAME, --config CONFIG_FILE_NAME            Specify the path to the configuration file (config by default)")
      print("\n")
      quit()
     

  mainAgent = MainAgent(configName)
  cliAgent = CLIAgent(mainAgent)

  cliAgent.run()